Index: trunk/source/geometry/solids/test/SBT/geant4/box.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/box.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/box.geant4	(revision 1350)
@@ -0,0 +1,34 @@
+#
+# GEANT4 SBT Script to test G4Box
+# DCW 19/3/99 
+#
+/test/maxPoints 10000
+#
+# --- box.a1.log
+# Start with a nice and easy case
+#
+/solid/G4Box 1 1 1
+/test/errorFileName log/box.a1.log
+/test/run
+#
+/voxel/errorFileName log/boxv.a1.log
+/voxel/run
+#
+# --- box.a2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/box.a2.log
+/test/run
+#
+# --- box.b1.log
+# Try an odd case
+#
+/solid/G4Box 0.0001 1 2
+/test/errorFileName  log/box.b1.log
+/test/run
+#
+/voxel/errorFileName log/boxv.b1.log
+/voxel/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/cons.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/cons.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/cons.geant4	(revision 1350)
@@ -0,0 +1,92 @@
+#
+# GEANT4 SBT Script to test G4Cons
+# DCW 19/3/99 First try
+#
+# Increment the number below when errors become a bit more rare
+#
+test/maxPoints 1000
+#
+# --- cons.a1.log
+# Here is a tube with no inner radius and no phi segmentation
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Cons 0 1 0 1 1 0 360
+/test/errorFileName  log/cons.a1.log
+/test/run
+#
+/voxel/errorFileName log/consv.a1.log
+/voxel/run
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/cons.a2.log
+/test/run
+#
+# --- cons.b1.log
+# Now add an inner radius
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Cons 0.5 1 0.5 1.2 0 360
+/test/errorFileName  log/cons.b1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/cons.b2.log
+/test/run
+#
+# --- cons.c1.log
+# Do something particularly cruel: close the cone off on one end
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Cons 0 1 0.5 1 1 0 360
+/test/errorFileName  log/cons.c1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/cons.c2.log
+/test/run
+#
+# --- cons.d1.log
+# Now add a phi segment to the simple case
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Cons 0 1 0 1 1 0 90
+/test/errorFileName  log/cons.d1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/cons.d2.log
+/test/run
+#
+# --- cons.e1.log
+# Do the same but with a slightly different phi slice
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Cons 0 1 0 1 1 20 181
+/test/errorFileName  log/cons.e1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/cons.e2.log
+/test/run
+#
+# --- cons.f1.log
+# Now add a phi slice to a cone with inner radii
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Cons 0.5 1.0 0.7 1.2 1 20 350
+/test/errorFileName  log/cons.f1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/cons.f2.log
+/test/run
+#
+# --- cons.g1.log
+# A real nightmare
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Cons 0.0 0.2 0.8 1.0 0.0001 10 90
+/test/errorFileName  log/cons.g1.log
+/test/widths 1 1 0.0002 m
+/test/run
+/test/gridSizes 0.02 0.02 0.00001 m
+/test/errorFileName  log/cons.g2.log
+/test/run
+#
+exit
+
Index: trunk/source/geometry/solids/test/SBT/geant4/dirctest.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/dirctest.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/dirctest.geant4	(revision 1350)
@@ -0,0 +1,28 @@
+#
+# GEANT4 SBT Script to test DircTest
+# DCW 7/3/00 
+#
+/test/maxPoints 20000
+#
+# We only have one geometry.
+# it is limited to a region of space near x = 1*m
+#
+/solid/DircTest
+/test/errorFileName  log/dirctest.a.log
+/test/target 1 0 0 m
+/test/widths 1 1 1 m
+/test/run
+#
+# Up the ante and generate points on a grid
+#
+/test/errorFileName  log/dirctest.b.log
+/test/gridSizes 0.01 0.01 0.1 m
+/test/run
+#
+# Do so a little closer to the shape
+#
+/test/errorFileName  log/dirctest.c.log
+/test/widths 0.2 0.5 0.1 m
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/ellipsoid.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/ellipsoid.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/ellipsoid.geant4	(revision 1350)
@@ -0,0 +1,70 @@
+#
+# GEANT4 SBT Script to test G4Ellipsoid
+# I.Hrivnacova, IPN Orsay 28/01/2008 
+#
+test/maxPoints 1000
+#
+# --- ellipsoid.a1.log
+# Spheric, no z-cuts
+#
+/solid/G4Ellipsoid 1 1 1 0 0
+/test/errorFileName  log/ellipsoid.a1.log
+/test/run
+/voxel/errorFileName log/ellipsoidv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/ellipsoid.a2.log
+/test/run
+#
+# --- ellipsoid.b1.log
+# Elliptic, no z-cuts 
+#
+/solid/G4Ellipsoid 0.5 0.8 1 0 0
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/ellipsoid.b1.log
+/test/run
+/voxel/errorFileName log/ellipsoidv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/ellipsoid.b2.log
+/test/run
+#
+# --- ellipsoid.c1.log
+# Elliptic,  with bottom z cut
+#
+/solid/G4Ellipsoid 0.5 0.8 1 -0.4 10
+//test/gridSizes 0 0 0 m
+/test/errorFileName  log/ellipsoid.c1.log
+/test/run
+/voxel/errorFileName log/ellipsoidv.c1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/ellipsoid.c2.log
+/test/run
+#
+# --- ellipsoid.d1.log
+# Elliptic,  with top z cut
+#
+/solid/G4Ellipsoid 0.5 0.8 1 -10 0.8
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/ellipsoid.d1.log
+/test/run
+/voxel/errorFileName log/ellipsoidv.d1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/ellipsoid.d2.log
+/test/run
+#
+# --- ellipsoid.e1.log
+# Elliptic,  with both bottom and top z cuts
+#
+/solid/G4Ellipsoid 0.5 0.8 1 -0.4 0.8
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/ellipsoid.e1.log
+/test/run
+/voxel/errorFileName log/ellipsoidv.e1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/ellipsoid.e2.log
+/test/run
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/ellipticalCone.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/ellipticalCone.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/ellipticalCone.geant4	(revision 1350)
@@ -0,0 +1,62 @@
+#
+# GEANT4 SBT Script to test G4EllipticalCone
+# I.Hrivnacova, IPN Orsay 28/01/2008 
+
+#
+test/maxPoints 1000
+#
+# --- ellipticalCone.a1.log
+# Symmetric, cutted
+#
+/solid/G4EllipticalCone 0.3 0.3 0.75 0.25
+/test/errorFileName  log/ellipticalCone.a1.log
+/test/run
+/voxel/errorFileName log/ellipticalConev.a1.log
+/voxel/run
+#
+# !!! test with grid causes exception:
+# ZMxpvInfiniteVector thrown:
+# ZMxpvInfiniteVector: Attempt to do vector /= 0 -- division by zero would produce infinite or NAN components
+# at line 345 in file ThreeVector.cc
+# terminate called after throwing an instance of 'ZMxpvInfiniteVector'
+# what():  ZMxpvInfiniteVector: Attempt to do vector /= 0 -- division by zero would produce infinite or NAN components
+#/test/gridSizes 0.2 0.2 0.2 m
+#/test/errorFileName  log/ellipticalCone.a2.log
+#/test/run
+#
+# --- ellipticalCone.b1.log
+# Symmetric, with a vertex
+#
+/solid/G4EllipticalCone 0.3 0.3 0.75 0.75
+/test/errorFileName  log/ellipticalCone.b1.log
+/test/run
+/voxel/errorFileName log/ellipticalConev.b1.log
+/voxel/run
+#/test/gridSizes 0.2 0.2 0.2 m
+#/test/errorFileName  log/ellipticalCone.b2.log
+#/test/run
+#
+# --- ellipticalCone.c1.log
+# Elliptic, cutted
+#
+/solid/G4EllipticalCone 0.3 0.6 0.75 0.25
+/test/errorFileName  log/ellipticalCone.c1.log
+/test/run
+/voxel/errorFileName log/ellipticalConev.c1.log
+/voxel/run
+#/test/gridSizes 0.2 0.2 0.2 m
+#/test/errorFileName  log/ellipticalCone.c2.log
+#/test/run
+#
+# --- ellipticalCone.d1.log
+# Elliptic, with a vertex
+#
+/solid/G4EllipticalCone 0.3 0.6 0.75 0.75
+/test/errorFileName  log/ellipticalCone.d1.log
+/test/run
+/voxel/errorFileName log/ellipticalConev.d1.log
+/voxel/run
+#/test/gridSizes 0.2 0.2 0.2 m
+#/test/errorFileName  log/ellipticalCone.d2.log
+#/test/run
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/ellipticalTube.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/ellipticalTube.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/ellipticalTube.geant4	(revision 1350)
@@ -0,0 +1,54 @@
+#
+# GEANT4 SBT Script to test G4EllipticalTube
+# DCW 19/5/99 
+#
+/test/maxPoints 100000
+/voxel/maxVoxels 200
+#
+# --- ellipticalTube.a1.log
+# Start with a nice and easy case
+#
+/solid/G4EllipticalTube 1 1 1
+/test/errorFileName  log/ellipticalTube.a1.log
+/test/run
+/voxel/errorFileName log/ellipticalTubev.a1.log
+/voxel/run
+#
+# --- ellipticalTube.a2.log
+# Up the ante ans generate points on a grid
+#
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/ellipticalTube.a2.log
+/test/run
+#
+# --- ellipticalTube.b1.log
+# More complicated
+#
+/test/gridSizes 0 0 0 m
+/solid/G4EllipticalTube 1 0.5 2
+/test/errorFileName  log/ellipticalTube.b1.log
+/test/run
+/voxel/errorFileName log/ellipticalTubev.b1.log
+/voxel/run
+#
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/ellipticalTube.b2.log
+/test/run
+#
+# --- ellipticalTube.c1.log
+# Odd case
+#
+/test/gridSizes 0 0 0 m
+/test/widths 0.0004 5 5 m
+/solid/G4EllipticalTube 0.0001 1 1
+/test/errorFileName  log/ellipticalTube.c1.log
+/test/run
+/voxel/widths 0.0004 5 5 m
+/voxel/errorFileName log/ellipticalTubev.c1.log
+/voxel/run
+#
+/test/gridSizes 0.00001 0.1 0.1 m
+/test/errorFileName  log/ellipticalTube.c2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/extrudedSolid.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/extrudedSolid.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/extrudedSolid.geant4	(revision 1350)
@@ -0,0 +1,61 @@
+#
+# GEANT4 SBT Script to test G4ExtrudedSolid
+# I.Hrivnacova, IPN Orsay 28/01/2008 
+
+#
+test/maxPoints 1000
+#
+# --- extrudedSolid.a1.log
+# Extruded solid with triangular polygon
+#
+/solid/G4ExtrudedSolid 3 (-0.3,0.0,0.3) (-0.3,0.3,-0.3) 2 (-0.3,0.3) (0.0,0.0) (0.0,0.0) (1.0,1.0)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/extrudedSolid.a1.log
+/test/run
+/voxel/errorFileName log/extrudedSolidv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/extrudedSolid.a2.log
+/test/run
+#
+# --- extrudedSolid.b1.log
+# Box defined as Extruded solid
+#
+/solid/G4ExtrudedSolid 4 (-0.3,-0.3,0.3,0.3) (-0.3,0.3,0.3,-0.3) 2 (-0.3,0.3) (0.0,0.0) (0.0,0.0) (1.0,1.0)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/extrudedSolid.b1.log
+/test/run
+/voxel/errorFileName log/extrudedSolidv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/extrudedSolid.b2.log
+/test/run
+#
+# --- extrudedSolid.c1.log
+# Extruded solid with 4 z-sections
+#
+/solid/G4ExtrudedSolid 8 (-0.3,-0.3,0.3,0.3,0.15,0.15,-0.15,-0.15) (-0.3,0.3,0.3,-0.3,-0.3,0.15,0.15,-0.3) 4 (-0.4,0.1,0.15,0.4) (-0.2,0.0,0.0,0.2) (0.1,0.0,0.0,0.2) (1.5,0.5,0.7,0.9)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/extrudedSolid.c1.log
+/test/run
+/voxel/errorFileName log/extrudedSolidv.c1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/extrudedSolid.c2.log
+/test/run
+#
+# --- extrudedSolid.d1.log
+# Another extruded solid, where polygon decomposition was failing
+# in Geant4 9.1
+#
+/solid/G4ExtrudedSolid 8 (-0.2,-0.2,0.1,0.1,0.2,0.2,-0.1,-0.1) (0.1,0.25,0.25,-0.1,-0.1,-0.25,-0.25,0.1) 2 (-0.2,0.2) (0.0,0.0) (0.0,0.0) (1.0,1.0)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/extrudedSolid.d1.log
+/test/run
+/voxel/errorFileName log/extrudedSolidv.d1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/extrudedSolid.d2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/hype.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/hype.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/hype.geant4	(revision 1350)
@@ -0,0 +1,91 @@
+#
+# GEANT4 SBT Script to test G4Hype
+# DCW 21/4/99 
+#
+/test/maxPoints 100000
+/voxel/maxVoxels 1000
+#
+# --- hype.a1.log
+# Start with a nice and easy case
+#
+/solid/G4Hype 0.0 1 0 0 1
+/test/errorFileName  log/hype.a1.log
+/test/run
+/voxel/errorFileName log/hypev.a1.log
+/voxel/run
+#
+# --- hype.a2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/hype.a2.log
+/test/run
+#
+# --- hype.b1.log
+# Add an inner radius
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Hype 0.5 1 0 0 1
+/test/errorFileName  log/hype.b1.log
+/test/run
+/voxel/errorFileName log/hypev.b1.log
+/voxel/run
+#
+# --- hype.b2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/hype.b2.log
+/test/run
+#
+# --- hype.c1.log
+# Add some stereo
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Hype 0.5 1 2 2 1
+/test/errorFileName  log/hype.c1.log
+/test/run
+/voxel/errorFileName log/hypev.c1.log
+/voxel/run
+#
+# --- hype.c2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/hype.c2.log
+/test/run
+#
+# --- hype.d1.log
+# Add some particularly large stereo
+#
+/solid/G4Hype 0.5 1 10 10 1
+/test/errorFileName  log/hype.d1.log
+/test/run
+/voxel/errorFileName log/hypev.d1.log
+/voxel/run
+#
+# --- hype.d2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/hype.d2.log
+/test/run
+#
+#
+# --- hype.e1.log
+# Add some particularly tiny stereo
+#
+/solid/G4Hype 0.5 1 0.001 0.001 1
+/test/errorFileName  log/hype.e1.log
+/test/run
+/voxel/errorFileName log/hypev.e1.log
+/voxel/run
+#
+# --- hype.e2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/hype.e2.log
+/test/run
+
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/orb.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/orb.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/orb.geant4	(revision 1350)
@@ -0,0 +1,18 @@
+#
+# GEANT4 SBT Script to test G4Orb
+# I.Hrivnacova, IPN Orsay 23/01/2008 
+#
+/test/maxPoints 10000
+#
+# --- orb.a1.log
+#
+/solid/G4Orb 1
+/test/errorFileName log/orb.a1.log
+/test/run
+/voxel/errorFileName log/orbv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/orb.a2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/para.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/para.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/para.geant4	(revision 1350)
@@ -0,0 +1,72 @@
+#
+# GEANT4 SBT Script to test G4Para
+# I.Hrivnacova, IPN Orsay 23/01/2008 
+#
+/test/maxPoints 10000
+#
+# --- para.a1.log
+# No alpha, no theta, no phi
+#
+/solid/G4Para 1 1 1 0 0 0
+/test/errorFileName log/para.a1.log
+/test/run
+/voxel/errorFileName log/parav.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/para.a2.log
+/test/run
+#
+# --- para.b1.log
+# With alpha, no theta, no phi
+#
+/solid/G4Para  1 1 1 30 0 0
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/para.b1.log
+/test/run
+/voxel/errorFileName log/parav.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/para.b2.log
+/test/run
+#
+# --- para c1.log
+# With alpha, with theta, no phi
+#
+/solid/G4Para  1 1 1 30 30 0
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/para.c1.log
+/test/run
+/voxel/errorFileName log/parav.c1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/para.c2.log
+/test/run
+#
+# --- para d1.log
+# With alpha, with theta, with phi
+#
+/solid/G4Para  1 1 1 30 30 30
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/para.d1.log
+/test/run
+/voxel/errorFileName log/parav.d1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/para.d2.log
+/test/run
+#
+# --- para e1.log
+# With alpha, with theta, with phi
+# Make non equal sides, one very thin
+#
+/solid/G4Para  0.001 1 2 30 30 30
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/para.e1.log
+/test/run
+/voxel/errorFileName log/parav.e1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/para.e2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/polycone.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/polycone.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/polycone.geant4	(revision 1350)
@@ -0,0 +1,129 @@
+#
+# GEANT4 SBT Script to test G4Polycone
+# DCW 19/3/99 First try
+#
+# Increment the number below to **really** waste CPU time
+#
+<<<<<<< polycone.geant4
+test/maxPoints 5000
+test/maxVoxels 100
+=======
+test/maxPoints 1000
+>>>>>>> 1.2
+#
+# --- polycone.a1.log
+# Start with a nice and easy case
+#
+/solid/G4Polycone 0 360 4 (1.0,1.2,1.4,1.2) (-1.0,-1.0,1.0,1.0)
+/test/errorFileName  log/polycone.a1.log
+/test/run
+#
+# --- polycone.a2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.a2.log
+/test/run
+#
+#
+# --- polycone.b1.log
+# Now add a phi slice
+#
+/solid/G4Polycone 0 90 4 (1.0,1.2,1.4,1.2) (-1.0,-1.0,1.0,1.0)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polycone.b1.log
+/test/run
+#
+# --- polycone.b2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.b2.log
+/test/run
+#
+# --- polycone.c1.log
+# Build a much more complicated polycone
+#
+/solid/G4Polycone 0 360 17 (0.0,0.2,0.3,0.32,0.32,0.4,0.4,0.5,0.5,0.8,0.8,0.9,0.9,0.8,0.8,0.3,0.0) (-0.5,-0.5,-1.1,-1.1,-0.4,-0.4,-1.0,-1.0,-0.4,-1.0,0.0,0.0,0.2,0.2,1.0,0.0,1.0) 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polycone.c1.log
+/test/run
+#
+# --- polycone.b2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.c2.log
+/test/run
+#
+# --- polycone.d1.log
+# Build a much more complicated polycone, now with a slice
+#
+/solid/G4Polycone 0 90 17 (0.0,0.2,0.3,0.32,0.32,0.4,0.4,0.5,0.5,0.8,0.8,0.9,0.9,0.8,0.8,0.3,0.0) (-0.5,-0.5,-1.1,-1.1,-0.4,-0.4,-1.0,-1.0,-0.4,-1.0,0.0,0.0,0.2,0.2,1.0,0.0,1.0) 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polycone.d1.log
+/test/run
+#
+# --- polycone.d2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.d2.log
+/test/run
+#
+# --- polycone.e1.log
+# Build a much more complicated polycone, now with a thin slice
+#
+/solid/G4Polycone -1 2 17 (0.0,0.2,0.3,0.32,0.32,0.4,0.4,0.5,0.5,0.8,0.8,0.9,0.9,0.8,0.8,0.3,0.0) (-0.5,-0.5,-1.1,-1.1,-0.4,-0.4,-1.0,-1.0,-0.4,-1.0,0.0,0.0,0.2,0.2,1.0,0.0,1.0) 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polycone.e1.log
+/test/run
+#
+# --- polycone.e2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.e2.log
+/test/run
+#
+# --- polycone.f1.log 
+#     polycone.f2.log
+# Build a polycone similiar to fred's PCON2
+#
+/solid/G4Polycone 10 250 10 (0.6,0.6,1.0,1.0,1.1,0.9,0.0,0.0,0.4,0.5) (-1.0,0.0,0.0,0.8,1.0,1.0,0.8,0.0,0.0,-1.0)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polycone.f1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.f2.log
+/test/run
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/polycone.f3.log
+/test/run
+#
+# --- polycone.g1.log
+#     polycone.g2.log
+# Build a polycone similiar to fred's PCON3
+#
+/solid/G4Polycone -10 355 16 (0.7,0.7,0.8,0.9,1.0,1.0,0.5,0.5,0.0,0.4,0.4,0.4,0.5,0.5,0.6,0.6) (-1.0,-0.5,-0.5,-1.0,-1.0,0.7,0.7,1.0,1.0,0.7,0.7,-1.0,-1.0,-0.5,-0.5,-1.0)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polycone.g1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.g2.log
+/test/run
+#
+# --- polycone.h1.log
+#     polycone.h2.log
+# Build a polycone similiar to fred's PCON4 (and testG4Polycone.cc)
+/solid/G4Polycone2 -10 355 8 (-0.2,-0.1,-0.1,0,0.1,0.2,0.3,0.4) (0.3,0.3,0,0,0,0,0.4,0.4) (0.7,0.7,0.7,0.4,0.4,0.8,0.8,0.8)
+#/solid/G4Polycone -10 355 16 (0.7,0.7,0.7,0.4,0.4,0.8,0.8,0.6,0.4,0.4,0.0,0.0,0.0,0.0,0.3,0.3) (-0.2,-0.1,-0.1,0.0,0.1,0.2,0.3,0.4,0.4,0.3,0.2,0.1,0.0,-0.1,-0.1,-0.2)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polycone.h1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polycone.h2.log
+/test/run
+#
+
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/polyhedra.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/polyhedra.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/polyhedra.geant4	(revision 1350)
@@ -0,0 +1,113 @@
+#
+# GEANT4 SBT Script to test G4Polyhedra
+# DCW 25/3/99 First try
+* DCW 23/5/99 Add voxel tests
+#
+# Increment the numbers below to **really** consume CPU time
+#
+/test/maxPoints 10000
+/voxel/maxVoxels 500
+#
+/test/maxPoints 1000
+/voxel/maxVoxels 50
+#
+# --- polyhedra.a1.log
+# Start with a nice and easy case
+#
+/solid/G4Polyhedra 0 360 8 4 (1.0,1.2,1.4,1.2) (-1.0,-1.0,1.0,1.0)
+/test/errorFileName  log/polyhedra.a1.log
+/test/run
+/voxel/errorFileName log/polyhedrav.a1.log
+/voxel/run
+#
+# --- polyhedra.a2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polyhedra.a2.log
+/test/run
+#
+#
+# --- polyhedra.b1.log
+# Now add a phi slice
+#
+/solid/G4Polyhedra 0 90 8 4 (1.0,1.2,1.4,1.2) (-1.0,-1.0,1.0,1.0)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polyhedra.b1.log
+/test/run
+/voxel/errorFileName log/polyhedrav.b1.log
+/voxel/run
+#
+# --- polyhedra.b2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polyhedra.b2.log
+/test/run
+#
+# --- polyhedra.c1.log
+# Build a much more complicated polyhedra
+#
+/solid/G4Polyhedra 0 360 6 17 (0.0,0.2,0.3,0.32,0.32,0.4,0.4,0.5,0.5,0.8,0.8,0.9,0.9,0.8,0.8,0.3,0.0) (-0.5,-0.5,-1.1,-1.1,-0.4,-0.4,-1.0,-1.0,-0.4,-1.0,0.0,0.0,0.2,0.2,1.0,0.0,1.0) 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polyhedra.c1.log
+/test/run
+/voxel/errorFileName log/polyhedrav.c1.log
+/voxel/run
+#
+# --- polyhedra.b2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polyhedra.c2.log
+/test/run
+#
+# --- polyhedra.d1.log
+# Build a much more complicated polyhedra, now with a slice
+#
+/solid/G4Polyhedra 0 90 2 17 (0.0,0.2,0.3,0.32,0.32,0.4,0.4,0.5,0.5,0.8,0.8,0.9,0.9,0.8,0.8,0.3,0.0) (-0.5,-0.5,-1.1,-1.1,-0.4,-0.4,-1.0,-1.0,-0.4,-1.0,0.0,0.0,0.2,0.2,1.0,0.0,1.0) 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polyhedra.d1.log
+/test/run
+/voxel/errorFileName log/polyhedrav.d1.log
+/voxel/run
+#
+# --- polyhedra.d2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polyhedra.d2.log
+/test/run
+#
+# --- polyhedra.e1.log
+# Build a much more complicated polyhedra, now with a thin slice
+#
+/solid/G4Polyhedra -1 2 2 17 (0.0,0.2,0.3,0.32,0.32,0.4,0.4,0.5,0.5,0.8,0.8,0.9,0.9,0.8,0.8,0.3,0.0) (-0.5,-0.5,-1.1,-1.1,-0.4,-0.4,-1.0,-1.0,-0.4,-1.0,0.0,0.0,0.2,0.2,1.0,0.0,1.0) 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polyhedra.e1.log
+/test/run
+/voxel/errorFileName log/polyhedrav.e1.log
+/voxel/run
+#
+# --- polyhedra.e2.log
+# Up the ante and generate points on a grid
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polyhedra.e2.log
+/test/run
+#
+# --- polyhedra.f1.log
+# One of my old favorites, with a few sharp turns
+#
+/solid/G4Polyhedra2 0 270 6 6 (-0.6,0.0,-1.0,0.5,0.5,1.0) (0.5,0.5,0.4,0.4,0.8,0.8) (0.6,0.6,1.0,1.0,1.0,1.1)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/polyhedra.f1.log
+/test/run
+/voxel/errorFileName log/polyhedrav.f1.log
+/voxel/run
+#
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/polyhedra.f2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/sphere.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/sphere.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/sphere.geant4	(revision 1350)
@@ -0,0 +1,120 @@
+#
+# GEANT4 SBT Script to test G4Sphere
+# I.Hrivnacova, IPN Orsay 23/01/2008 
+#
+test/maxPoints 1000
+#
+# --- sphere.a1.log
+# No inner radius,  no phi segment, no theta segment
+#
+/solid/G4Sphere 0 1 0 360 0 180
+/test/errorFileName  log/sphere.a1.log
+/test/run
+/voxel/errorFileName log/spherev.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/sphere.a2.log
+/test/run
+#
+# --- sphere.b1.log
+# With inner radius,  no phi segment, no theta segment
+#
+/solid/G4Sphere 0.5 1 0 360 0 180
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/sphere.b1.log
+/test/run
+/voxel/errorFileName log/spherev.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/sphere.b2.log
+/test/run
+#
+# --- sphere.c1.log
+# No inner radius,  with phi segment, no theta segment
+#
+/solid/G4Sphere 0 1 0 90 0 180
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/sphere.c1.log
+/test/run
+/voxel/errorFileName log/spherev.c1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/sphere.c2.log
+/test/run
+#
+# --- sphere.d1.log
+# With inner radius,  with phi segment, no theta segment
+#
+/solid/G4Sphere 0.5 1 0 90 0 180
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/sphere.d1.log
+/test/run
+/voxel/errorFileName log/spherev.d1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/sphere.d2.log
+/test/run
+#
+# --- sphere.e1.log
+# No inner radius,  no phi segment, with theta segment
+#
+/solid/G4Sphere 0 1 0 360 0 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/sphere.e1.log
+/test/run
+/voxel/errorFileName log/spherev.e1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/sphere.e2.log
+/test/run
+#
+# --- sphere.f1.log
+# With inner radius,  no phi segment, with theta segment
+#
+/solid/G4Sphere 0.5 1 0 360 0 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/sphere.f1.log
+/test/run
+/voxel/errorFileName log/spherev.f1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/sphere.f2.log
+/test/run
+#
+# --- sphere.g1.log
+# No inner radius,  with phi segment, with theta segment
+#
+/solid/G4Sphere 0 1 0 90 0 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/sphere.g1.log
+/test/run
+/voxel/errorFileName log/spherev.g1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/sphere.g2.log
+/test/run
+#
+# --- sphere.h1.log
+# With inner radius,  with phi segment, with theta segment
+#
+/solid/G4Sphere 0.5 1 0 90 0 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/sphere.h1.log
+/test/run
+/voxel/errorFileName log/spherev.h1.log
+/voxel/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/sphere.h2.log
+/test/run
+#
+# --- sphere.i1.log
+# With inner radius,  with phi segment, with theta segment
+# Very thin in radius
+#
+/solid/G4Sphere 0.00999 0.01001 10 260 30 70
+/test/gridSizes 0.005 0.005 0.005 m
+/test/errorFileName  log/sphere.i1.log
+/test/run
+/voxel/errorFileName log/spherev.i1.log
+/voxel/run
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/tessellatedSolid.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/tessellatedSolid.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/tessellatedSolid.geant4	(revision 1350)
@@ -0,0 +1,63 @@
+#
+# GEANT4 SBT Script to test G4TessellatedSolid
+# I.Hrivnacova, IPN Orsay 28/01/2008 
+
+#
+test/maxPoints 1000
+#
+# --- tessellatedSolid.a1.log
+# Extruded solid with triangular polygon
+#
+/solid/G4TessellatedSolid 2 (-0.3,-0.3,-0.3,0.3,-0.3,0.3) (0.0,0.3,-0.3,0.0,0.3,0.3) (0.3,-0.3,-0.3,-0.3,-0.3,0.3) 3 (0.0,0.3,-0.3,0.3,-0.3,-0.3,-0.3,-0.3,-0.3) (-0.3,-0.3,-0.3,0.0,0.3,-0.3,0.3,-0.3,-0.3) (-0.3,-0.3,0.3,0.0,0.3,0.3,0.3,-0.3,0.3) (0.0,0.3,0.3,0.3,-0.3,0.3,-0.3,-0.3,0.3)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/tessellatedSolid.a1.log
+/test/run
+/voxel/errorFileName log/tessellatedSolidv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tessellatedSolid.a2.log
+/test/run
+#
+
+# --- tessellatedSolid.b1.log
+# Box defined as Extruded solid interpreted as Tessellated solid
+#
+/solid/G4TessellatedSolid2 4 (-0.3,-0.3,0.3,0.3) (-0.3,0.3,0.3,-0.3) 2 (-0.3,0.3) (0.0,0.0) (0.0,0.0) (1.0,1.0)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/tessellatedSolid.b1.log
+/test/run
+/voxel/errorFileName log/tessellatedSolidv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tessellatedSolid.b2.log
+/test/run
+#
+# --- tessellatedSolid.c1.log
+# Extruded solid with 4 z-sections interpreted as Tessellated solid
+#
+/solid/G4TessellatedSolid2 8 (-0.3,-0.3,0.3,0.3,0.15,0.15,-0.15,-0.15) (-0.3,0.3,0.3,-0.3,-0.3,0.15,0.15,-0.3) 4 (-0.4,0.1,0.15,0.4) (-0.2,0.0,0.0,0.2) (0.1,0.0,0.0,0.2) (1.5,0.5,0.7,0.9)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/tessellatedSolid.c1.log
+/test/run
+/voxel/errorFileName log/tessellatedSolidv.c1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tessellatedSolid.c2.log
+/test/run
+#
+# --- tessellatedSolid.d1.log
+# Another extruded solid, where polygon decomposition was failing,
+# interpreted as Tessellated solid
+# in Geant4 9.1
+#
+/solid/G4TessellatedSolid2 8 (-0.2,-0.2,0.1,0.1,0.2,0.2,-0.1,-0.1) (0.1,0.25,0.25,-0.1,-0.1,-0.25,-0.25,0.1) 2 (-0.2,0.2) (0.0,0.0) (0.0,0.0) (1.0,1.0)
+/test/gridSizes 0.1 0.1 0.1 m
+/test/errorFileName  log/tessellatedSolid.d1.log
+/test/run
+/voxel/errorFileName log/tessellatedSolidv.d1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tessellatedSolid.d2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/tet.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/tet.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/tet.geant4	(revision 1350)
@@ -0,0 +1,60 @@
+#
+# GEANT4 SBT Script to test G4Tet
+# I.Hrivnacova, IPN Orsay 28/01/2008 
+
+#
+test/maxPoints 1000
+#
+# --- tet.a1.log
+# Regular
+#
+/solid/G4Tet (0.0,0.0,1.73205080756887719) (0.0,1.63299316185545207,-0.577350269189625842) (-1.41421356237309515,-0.816496580927726034,-0.577350269189625842) (1.41421356237309515,-0.816496580927726034,-0.577350269189625842) 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/tet.a1.log
+/test/run
+/voxel/errorFileName log/tetv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tet.a2.log
+/test/run
+#
+# --- tet.b1.log
+# Assymetric
+#
+/solid/G4Tet (0.0,0.0,1.0) (-1.0,-1.0,-1.0) (+1.0,-1.0,-1.0) (0.0,1.0,-1.0)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/tet.b1.log
+/test/run
+/voxel/errorFileName log/tetv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tet.b2.log
+/test/run
+#
+# --- tet.c1.log
+# Assymetric, more extreme
+#
+/solid/G4Tet (0.0,0.0,1.0) (-0.2,-1.0,-1.0) (0.2,-1.0,-1.0) (0.0,1.0,-1.0)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/tet.c1.log
+/test/run
+/voxel/errorFileName log/tetv.c1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tet.c2.log
+/test/run
+#
+# --- tet.d1.log
+# Assymetric, very extreme
+#
+/solid/G4Tet (0.0,0.0,1.0) (-0.001,-1.0,-1.0) (+0.001,-1.0,-1.0) (0.0,1.0,-1.0)
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/tet.d1.log
+/test/run
+/voxel/errorFileName log/tetv.d1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/tet.d2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/torus.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/torus.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/torus.geant4	(revision 1350)
@@ -0,0 +1,71 @@
+#
+# GEANT4 SBT Script to test G4Torus
+# I.Hrivnacova, IPN Orsay 23/01/2008 
+#
+/test/maxPoints 10000
+#
+# --- torus.a1.log
+# No inner radius, no phi segment
+#
+/solid/G4Torus 0 0.4 1 0 360
+/test/errorFileName log/torus.a1.log
+/test/run
+/voxel/errorFileName log/torusv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/torus.a2.log
+/test/run
+#
+# --- torus.b1.log
+# With inner radius, no phi segment
+#
+/solid/G4Torus 0.2 0.4 1 0 360
+/test/gridSizes 0 0 0 m
+//test/errorFileName  log/torus.b1.log
+/test/run
+/voxel/errorFileName log/torusv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/torus.b2.log
+/test/run
+#
+# --- torus c1.log
+# No inner radius, with phi segment
+#
+/solid/G4Torus 0 0.4 1 0 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/torus.c1.log
+/test/run
+/voxel/errorFileName log/torusv.c1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/torus.c2.log
+/test/run
+#
+# --- torus d1.log
+# With inner radius, with phi segment
+#
+/solid/G4Torus 0.2 0.4 1 0 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/torus.d1.log
+/test/run
+/voxel/errorFileName log/torusv.d1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/torus.d2.log
+/test/run
+#
+# --- torus e1.log
+# With very thin radius, with phi segment
+#
+/solid/G4Torus 0.399 0.4 1 0 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/torus.e1.log
+/test/run
+/voxel/errorFileName log/torusv.e1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/torus.e2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/trap.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/trap.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/trap.geant4	(revision 1350)
@@ -0,0 +1,34 @@
+#
+# GEANT4 SBT Script to test G4Cons
+# DCW 19/3/99 First try
+#
+# Increment the number below when errors become a bit more rare
+#
+test/maxPoints 10000
+#
+# --- trap.a{1,2}.log
+# Here is a trap,  used and getting problems in CMS    May 28, 1999
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Trap   1268.  0 0 295.  1712.2 1870.29 0 295.  1712.2 1870.29 0 mm
+/test/errorFileName  log/trap.a1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/trap.a2.log
+/test/run
+/test/gridSizes 0.01 0.01 0.01 m
+/test/errorFileName  log/trap.a3.log
+/test/run
+
+/test/widths 2 2 2 m
+/test/gridSizes 0.05 0.05 0.05 m
+/test/errorFileName  log/trap.b1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/trap.b2.log
+/test/run
+/test/gridSizes 0.01 0.01 0.01 m
+/test/errorFileName  log/trap.b3.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/trd.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/trd.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/trd.geant4	(revision 1350)
@@ -0,0 +1,59 @@
+#
+# GEANT4 SBT Script to test G4TRD
+# DCW 17/9/99 
+#
+test/maxPoints 10000
+#
+# --- trd.a1.log
+# Start with a nice and easy case
+#
+/solid/G4trd 1 1 1 1 1
+/test/errorFileName log/trd.a1.log
+/test/run
+#
+# --- trd.a2.log
+# Up the ante ans generate points on a grid
+#
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/trd.a2.log
+/test/run
+#
+# --- trd.b1.log
+# Adjust just x
+#
+/test/gridSizes 0 0 0 m
+/solid/G4trd 0.5 1.5 1 1 1
+/test/errorFileName  log/trd.b1.log
+/test/run
+#
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/trd.b2.log
+/test/run
+#
+# --- trd.c1.log
+# Adjust x and y
+#
+/test/gridSizes 0 0 0 m
+/solid/G4trd 0.5 1.5 0.25 1 1
+/test/errorFileName  log/trd.c1.log
+/test/run
+#
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/trd.c2.log
+/test/run
+#
+#
+# --- trd.d1.log
+# extreme case
+#
+/test/widths 1 0.00002 1 m
+/test/gridSizes 0 0 0 m
+/solid/G4trd 0.000001 1 0.00001 0.00002 1
+/test/errorFileName  log/trd.d1.log
+/test/run
+#
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/trd.d2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/tubs.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/tubs.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/tubs.geant4	(revision 1350)
@@ -0,0 +1,70 @@
+#
+# GEANT4 SBT Script to test G4Tubs
+# DCW 19/3/99 First try
+#
+# Increment the number below to **really** waste CPU time
+#
+test/maxPoints 1000
+#
+# --- tubs.a1.log
+# Here is a tube with no inner radius and no phi segmentation
+#
+/solid/G4Tubs 0 1 1 0 360
+/test/errorFileName  log/tubs.a1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/tubs.a2.log
+/test/run
+#
+# --- tubs.b1.log
+# Add an inner radius
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Tubs 0.5 1 1 0 360
+/test/errorFileName  log/tubs.b1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/tubs.b2.log
+/test/run
+#
+# --- tubs.c1.log
+# Add a phi segment to a tube with no inner radius
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Tubs 0 1 1 0 90
+/test/errorFileName  log/tubs.c1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/tubs.c2.log
+/test/run
+#
+# --- tubs.d1.log
+# Add a phi segment to a tube with an inner radius
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Tubs 0.8 1 1 0 90
+/test/errorFileName  log/tubs.d1.log
+/test/run
+/test/gridSizes 0.02 0.02 0.02 m
+/test/errorFileName  log/tubs.d2.log
+/test/run
+#
+# --- tubs.e1.log
+# Make a nice and long and thin tube
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Tubs 0.00999 0.01001 1 10 260
+/test/widths 0.02 0.02 1 m
+/test/gridSizes 0.005 0.005 0.1 m
+/test/errorFileName  log/tubs.e1.log
+/test/run
+#
+# --- tubs.f1.log
+# Make a nice and long and thin tube with a different phi slice
+#
+/test/gridSizes 0 0 0 m
+/solid/G4Tubs 0.00999 0.01001 1 350 10
+/test/errorFileName  log/tubs.f1.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/twistedBox.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/twistedBox.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/twistedBox.geant4	(revision 1350)
@@ -0,0 +1,63 @@
+#
+# GEANT4 SBT Script to test G4Box
+# I.Hrivnacova, IPN Orsay 29/01/2008 
+# 
+#
+/test/maxPoints 10000
+#
+# --- twistedBox.a1.log
+# Box with a twisted angle
+#
+/solid/G4TwistedBox 30 1 1 1
+/test/errorFileName log/twistedBox.a1.log
+/test/run
+/voxel/errorFileName log/twistedBoxv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedBox.a2.log
+/test/run
+#
+# As the test is very time consuming
+# we skip the other variants for the moment
+exit
+#
+# --- twistedBox.b1.log
+# Box with a very small twisted angle
+#
+/solid/G4TwistedBox 1 1 1 1
+/test/gridSizes 0 0 0 m
+/test/errorFileName log/twistedBox.b1.log
+/test/run
+/voxel/errorFileName log/twistedBoxv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedBox.b2.log
+/test/run
+#
+# --- twistedBox.c1.log
+# Very thin box with a twisted angle
+#
+/solid/G4TwistedBox 30 0.0001 1 2
+/test/gridSizes 0 0 0 m
+/test/errorFileName log/twistedBox.c1.log
+/test/run
+/voxel/errorFileName log/twistedBoxv.c1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedBox.c2.log
+/test/run
+#
+# --- twistedBox.d1.log
+# Very thin box with a very small twisted angle
+#
+/solid/G4TwistedBox 1 0.0001 1 2
+/test/gridSizes 0 0 0 m
+/test/errorFileName log/twistedBox.d1.log
+/test/run
+/voxel/errorFileName log/twistedBoxv.d1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedBox.d2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/twistedTrap.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/twistedTrap.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/twistedTrap.geant4	(revision 1350)
@@ -0,0 +1,63 @@
+#
+# GEANT4 SBT Script to test G4Cons
+# I.Hrivnacova, IPN Orsay 30/01/2008 
+#
+# Increment the number below when errors become a bit more rare
+#
+test/maxPoints 10000
+#
+# --- twistedTrap.a1.log
+# Here is a trap,  used and getting problems in CMS    May 28, 1999
+# + now plus twisted angle
+#
+/solid/G4TwistedTrap2   30 1.268 0 0 0.295 1.7122 1.87029  0.295  1.7122 1.87029 0
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/twistedTrap.a1.log
+/test/run
+/voxel/errorFileName log/twistedTrapv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTrap.a2.log
+/test/run
+#
+exit
+
+#
+# --- twistedTrap.b1.log
+# Very easy case
+#
+/solid/G4TwistedTrap 30 1 1 1 1 
+/test/gridSizes 0 0 0 m
+/test/widths 1 1 1 m
+/test/errorFileName log/twistedTrap.b1.log
+/test/run
+/voxel/errorFileName log/twistedTrapv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTrap.b2.log
+/test/run
+#
+# --- twistedTrap.c1.log
+# Adjust just x
+#
+/solid/G4TwistedTrap 30 0.5 1.5 1 1
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/twistedTrap.c1.log
+/test/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTrap.c2.log
+/test/run
+#
+# --- twistedTrap.d1.log
+# Extreme case
+#
+/solid/G4TwistedTrap 30 0.000001 1 0.00002 1
+/test/widths 1 0.00002 1 m
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/twistedTrap.d1.log
+/test/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTrap.d2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/twistedTrd.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/twistedTrd.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/twistedTrd.geant4	(revision 1350)
@@ -0,0 +1,61 @@
+#
+# GEANT4 SBT Script to test G4Cons
+# I.Hrivnacova, IPN Orsay 31/01/2008 
+#
+# Increment the number below when errors become a bit more rare
+#
+test/maxPoints 10000
+#
+# --- twistedTrd.c1.log
+# Adjust x and y
+#
+/solid/G4TwistedTrd 0.5 1.5  0.25 1 1 30 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/twistedTrd.c1.log
+/test/run
+/voxel/errorFileName log/twistedTrdv.c1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTrd.c2.log
+/test/run
+#
+exit
+#
+# --- twistedTrd.a1.log
+# Very easy case
+#
+/solid/G4TwistedTrd 1 1 1 1 1 30 
+/test/gridSizes 0 0 0 m
+/test/widths 1 1 1 m
+/test/errorFileName log/twistedTrd.a1.log
+/test/run
+/voxel/errorFileName log/twistedTrdv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName log/twistedTrd.a2.log
+/test/run
+#
+# --- twistedTrd.b1.log
+# Adjust just x
+#
+/solid/G4TwistedTrd 0.5 1.5 1 1 1 30 
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/twistedTrd.b1.log
+/test/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTrd.b2.log
+/test/run
+#
+# --- twistedTrd.d1.log
+# Extreme case
+#
+/solid/G4TwistedTrd 0.000001 1 0.00001 0.00002 1 30
+/test/widths 1 0.00002 1 m
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/twistedTrd.d1.log
+/test/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTrd.d2.log
+/test/run
+#
+exit
Index: trunk/source/geometry/solids/test/SBT/geant4/twistedTubs.geant4
===================================================================
--- trunk/source/geometry/solids/test/SBT/geant4/twistedTubs.geant4	(revision 1350)
+++ trunk/source/geometry/solids/test/SBT/geant4/twistedTubs.geant4	(revision 1350)
@@ -0,0 +1,38 @@
+#
+# GEANT4 SBT Script to test G4Tubs
+# DCW 19/3/99 First try
+#
+# Increment the number below to **really** waste CPU time
+#
+test/maxPoints 1000
+#
+# --- twistedTubs.a1.log
+# Twisted tube with one phi segment
+#
+/test/gridSizes 0 0 0 m
+/solid/G4TwistedTubs 30 0.8 1 -1 1 1 90
+/test/errorFileName  log/twistedTubs.a1.log
+/test/run
+/voxel/errorFileName log/twistedTubsv.a1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTubs.a2.log
+/test/run
+#
+exit
+#
+# --- twistedTubs.b1.log
+# Twisted tube with more phi segments
+# (visualization shows just one)
+#
+//solid/G4TwistedTubs 30 0.8 1 -1 1 9 90
+/test/gridSizes 0 0 0 m
+/test/errorFileName  log/twistedTubs.b1.log
+/test/run
+/voxel/errorFileName log/twistedTubsv.b1.log
+/voxel/run
+/test/gridSizes 0.2 0.2 0.2 m
+/test/errorFileName  log/twistedTubs.b2.log
+/test/run
+#
+exit
